Subject: Re: [bitcoin-dev] Fees and the block-finding process

From: Hector Chu <[email-masked]>
Date: Sun, 9 Aug 2015 06:52:37 +0100

You people are the most selfish kind of people in the world. Blackmail
developers with overload of the system, to try to force them to urgently
come up with solutions to the problem. The solution is always going to
be... wait for it... "increase the block size". There is not enough time or
manpower to do anything else. We are witnessing a tragedy of the commons
before our very eyes.

On 9 August 2015 at 00:05, Alex Morcos via bitcoin-dev <
[email-masked]> wrote:

> I agree
> There are a lot of difficult technical problems introduced by insufficient
> block space that are best addressed now.  As well as problems that scale
> will exacerbate like bootstrapping that we should develop solutions for
> first.
>
>
> Sent from my iPad
>
> On Aug 8, 2015, at 6:45 PM, Dave Scotese via bitcoin-dev <
> [email-masked]> wrote:
>
> I see value in lowering the block size or leaving it where it is. We
> expect to run out of space, and I think it's a good idea to prepare for
> that, rather than avoid it.  When we run out of space and the block size is
> low, we will see problems.  If we raise the block size, we will NOT see
> these problems until bitcoin is bigger and more important and the pressure
> is higher.
>
> Someone mentioned that when the backlog grows faster than it shrinks, that
> is a real problem.  I don't think it is.  It is a problem for those who
> don't wait for even one confirmation, but backlogs in the past have already
> started training users to wait for at least one confirmation, or go
> off-chain.  I am comfortable leaving those zero-conf people in a little bit
> of trouble.  Everyone else can double-spend (perhaps that's not as easy as
> it should be in bitcoin core) and use a higher fee, thus competing for
> block space.  Yes, $5 transactions suck, but $0.15 is not so bad and about
> twice the average right now.
>
> Meanwhile, the higher fees everyone starts feeling like paying, along with
> the visibility of the problems caused by full-blocks, will provide
> excellent justification and motivation for increasing the limit.  My
> favorite thing to do is to have a solution ready for a problem I expect to
> see, see the problem (so I can measure things about it) and then implement
> the solution.
>
> In my experience, the single biggest reason not to run a full node has to
> do with starting from scratch: "I used to run a full node, but last time I
> had to download the full blockchain, it took ___ days, so I just use (some
> wallet) now."  I think that has been improved with headers-first, but many
> people don't know it.
>
> I have some ideas how a "full node" could postpone being "full" but still
> be nearly completely operational so that the delay between startup and
> having a full blockchain is nearly painless.  It involves bonded
> representation of important not-so-large pieces of data (blocks that have
> my transactions, the complete UTXO as of some height, etc.).  If I know
> that I have some btc, I could offer it (say, 100 or 1000 transaction fees'
> worth) to anyone who will guarantee good data to me, and then when I have
> the whole blockchain, I will know if they were honest.  If done right, the
> whole network could know whether or not they were honest and enforce the
> bond if they weren't.  Credit the Lightening paper for parts of this idea.
>
> Dave
>
> On Fri, Aug 7, 2015 at 4:06 PM, Adam Back via bitcoin-dev <
> [email-masked]> wrote:
>
>> Please try to focus on constructive technical comments.
>>
>> On 7 August 2015 at 23:12, Thomas Zander via bitcoin-dev
>> <[email-masked]> wrote:
>> > What will the backlash be when people here that are pushing for
>> "off-chain-
>> > transactions" fail to produce a properly working alternative, which
>> > essentially means we have to say NO to more users.
>>
>> But > 99% of Bitcoin transactions are already off-chain.  There are
>> multiple competing companies offering consumer & retail service with
>> off-chain settlement.
>>
>> I wasnt clear but it seemed in your previous mail that you seemed to
>> say you dont mind trusting other people with your money, and so
>> presumably you are OK using these services, and so have no problem?
>>
>> > At this time and this size of bitcoin community, my personal experience
>> (and
>> > I've been part of many communities) saying NO to new customers
>>
>> Who said no to anything?  The systems of off-chain transfer already
>> exist and are by comparison to Bitcoins protocol simple and rapid to
>> adapt and scale.
>>
>> Indications are that we can even do off-chain at scale with Bitcoin
>> similar trust-minimisation with lightning, and duplex payment
>> channels; and people are working on that right now.
>>
>> I think it would be interesting and useful for someone, with an
>> interest in low trust, high scale transactions, to work on and propose
>> an interoperability standard and API for such off-chain services to be
>> accessed by wallets, and perhaps periodic on-chain inter-service
>> netting.
>>
>> Adam
>> _______________________________________________
>> bitcoin-dev mailing list
>> [email-masked]
>> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>>
>
>
>
> --
> I like to provide some work at no charge to prove my value. Do you need a
> techie?
> I own Litmocracy <http://www.litmocracy.com> and Meme Racing
> <http://www.memeracing.net> (in alpha).
> I'm the webmaster for The Voluntaryist <http://www.voluntaryist.com>
> which now accepts Bitcoin.
> I also code for The Dollar Vigilante <http://dollarvigilante.com/>.
> "He ought to find it more profitable to play by the rules" - Satoshi
> Nakamoto
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>
> _______________________________________________
> bitcoin-dev mailing list
> [email-masked]
> https://lists.linuxfoundation.org/mailman/listinfo/bitcoin-dev
>
>